ERROR! The requested deployment target SDK is not available or supported by RubyMotion at this time (Mac OS 10.14.4)

Just updated MacOS to 10.14.4 and XCode updated itself as well.

Noticed the error:

ERROR! The requested deployment target SDK is not available or supported by RubyMotion at this time.

I’m guessing this is related. Searching previous threads appear to require an update from RM’s team. I just installed RM for the first time, so apologies if I’m missing something obvious.

1 Like

Xcode 10.2 support will drop Monday. You can use http://developer.apple.com/downloads/more and download Xcode 10.1 in the interim.

3 Likes

Awesome @amirrajan! Thanks. I look forward to trying out RM.

Come to the Slack channel. I’ll help you through the install and hook you up with an Indie License for your troubles. Just DM me :slight_smile:

1 Like

I just installed RubyMotion (Starter) and I’m getting the same error. I’m on macOS 10.14.5 and XCode 10.3, if that’s relevant.

I found that XCode didn’t show any simulators at first, but a restart fixed that. (Sounds a bit like Windows, I know). Unfortunately, it doesn’t fix the “requested deployment target SDK is not available” error.

Is this yet another blip a new RubyMotion version I don’t have might fix?

Just a follow-up: RubyMotion wanted me to update it this morning and after a

sudo motion update

that error has disappeared. I only updated macOS to 10.14.6 right before, so I don’t know which one (the RubyMotion update or the macOS update) fixed my issue, but it works for me perfectly with

  • macOS 10.14.6
  • RubyMotion 6.2
  • XCode 10.3

Im also having issues with this after upgrading to macOS 10.13.6 XCode 10.1 & RubyMotion 6.2. I got an indie license as well which didn’t seem to resolve the issue. Not sure what else I might be missing?

Same issue here. I installed Xcode 10.1, ran sudo motion update, etc and still getting an error even when I create a new test project.

The latest version of RubyMotion (version 6.3) uses Xcode 11.1. Let me know if y’all have any issues. I’m also available via DM on slack. http://slack.rubymotion.com